.\"	$NetBSD: mpt.4,v 1.3 2005/01/06 15:26:54 wiz Exp $
.\"
.\" Copyright (c) 2003 Wasabi Systems, Inc.
.\" All rights reserved.
.\"
.\" Written by Jason R. Thorpe for Wasabi Systems, Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed for the NetBSD Project by
.\"	Wasabi Systems, Inc.
.\" 4. The name of Wasabi Systems, Inc. may not be used to endorse
.\"    or promote products derived from this software without specific prior
.\"    written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY WASABI SYSTEMS, INC. ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL WASABI SYSTEMS, INC
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 2, 2008
.Dt MPT 4
.Os
.Sh NAME
.Nm mpt
.Nd LSI Fusion-MPT SCSI/Fibre Channel driver
.Sh SYNOPSIS
.Cd "mpt* at pci? dev ? function ?"
.Cd "scsibus* at mpt?"
.Sh DESCRIPTION
The
.Nm
driver provides support
for the LSI Logic Fusion-MPT family of
.Tn SCSI
and
.Tn Fibre Channel
controllers:
.Pp
.Bl -bullet -compact -offset indent
.It
53c1020
.Pq Ultra320 Tn SCSI
.It
53c1030
.Pq Dual Ultra320 Tn SCSI
.It
FC909
.Pq 1Gb/s Tn Fibre Channel
.It
FC909A
.Pq Dual 1Gb/s Tn Fibre Channel
.It
FC919
.Pq 2Gb/s Tn Fibre Channel
.It
FC919X
.Pq 2Gb/s Tn Fibre Channel, PCI-X
.It
FC929
.Pq Dual 2Gb/s Tn Fibre Channel
.It
FC929X
.Pq Dual 2Gb/s Tn Fibre Channel, PCI-X
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr ch 4 ,
.Xr intro 4 ,
.Xr pci 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr siop 4 ,
.Xr st 4 ,
.Xr uk 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 2.0 .
.Sh AUTHORS
The
.Nm
driver was originally written for
.Fx
by Greg Ansley .
It was ported to
.Nx
by Jason R. Thorpe
and contributed by Wasabi Systems, Inc.
